// Created with MonoDevelop
//
//    QuickStep: Acquire, view and identify spectra 
//    Copyright (C) 2018 Thomas Klose & Torsten Schache, Hiperscan GmbH Dresden, Germany
//
//    This program is free software: you can redistribute it and/or modify
//    it under the terms of the GNU General Public License as published by
//    the Free Software Foundation, either version 3 of the License, or
//    (at your option) any later version.
//
//    This program is distributed in the hope that it will be useful,
//    but WITHOUT ANY WARRANTY; without even the implied warranty of
//    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
//    GNU General Public License for more details.
//
//    You should have received a copy of the GNU General Public License
//    along with this program.  If not, see <http://www.gnu.org/licenses/>.

//
using System;
namespace Hiperscan.Extensions.ApoIdent.SubstanceManagementExtension
{
    public static class StringExtension
    {
        public static string xCleanForSubstanceSearch(this string text)
        {
            text = text ?? String.Empty;
            text = BatchExtension.RemoveExtension(text).ToLower().Trim(new char[] { ' ', ',' });
                          
            text = text.ToLower().Trim();
            text = text.Replace(" ", String.Empty);
            text = text.Replace(",", String.Empty);
            text = text.Replace(";", String.Empty);
            text = text.Replace("-", String.Empty);
            text = text.Replace(".", String.Empty);
            text = text.Replace("ä", "ae");
            text = text.Replace("ü", "ue");
            text = text.Replace("ö", "oe");
            text = text.Replace("ß", "ss");

            return text;
        }
    }
}
